using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.StoragesContracts
{
    public interface IVisitorStorage
    {
        List<VisitorViewModel> GetFullList();
        List<VisitorViewModel> GetFilteredList(VisitorSearchModel model);
        VisitorViewModel? GetElement(VisitorSearchModel model);
        VisitorViewModel? Insert(VisitorBindingModel model);
        VisitorViewModel? Update(VisitorBindingModel model);
        VisitorViewModel? Delete(VisitorBindingModel model);
    }
}
